cURL
curl --request GET \
--url https://api.botpress.cloud/v1/chat/messages \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'import requests
url = "https://api.botpress.cloud/v1/chat/messages"
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-bot-id': '<x-bot-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.botpress.cloud/v1/chat/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"payload": {},
"userId": "<string>",
"conversationId": "<string>",
"tags": {},
"origin": "synthetic"
}
],
"meta": {
"nextToken": "<string>"
}
}{
"messages": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"payload": {},
"userId": "<string>",
"conversationId": "<string>",
"tags": {},
"origin": "synthetic"
}
],
"meta": {
"nextToken": "<string>"
}
}listMessages
GET
/
v1
/
chat
/
messages
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Query Parameters
Provide the meta.nextToken value provided in the last API response to retrieve the next page of results
Conversation id
Filter by tags
Show child attributes
Show child attributes
Was this page helpful?
⌘I